services:
    # see https://github.com/symfony/symfony/issues/24543
    fos_user.user_manager.test:
        alias: fos_user.user_manager
        public: true

    fos_user.security.login_manager.test:
        alias: fos_user.security.login_manager
        public: true

    wallabag_core.entry_repository.test:
        alias: wallabag_core.entry_repository
        public: true

    wallabag_user.user_repository.test:
        alias: wallabag_user.user_repository
        public: true

    filesystem_cache:
        class: Doctrine\Common\Cache\FilesystemCache
        arguments:
            - "%kernel.cache_dir%/doctrine/metadata"

    # fixtures
    Wallabag\UserBundle\DataFixtures\:
        resource: '../../src/Wallabag/UserBundle/DataFixtures/*'
        tags: ['doctrine.fixture.orm']
        autowire: true

    Wallabag\CoreBundle\DataFixtures\:
        resource: '../../src/Wallabag/CoreBundle/DataFixtures/*'
        tags: ['doctrine.fixture.orm']
        autowire: true

    Wallabag\AnnotationBundle\DataFixtures\:
        resource: '../../src/Wallabag/AnnotationBundle/DataFixtures/*'
        tags: ['doctrine.fixture.orm']
        autowire: true
